VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DeviceGeneratedCommandsLimitsNVX (uint32_t maxIndirectCommandsLayoutTokenCount_=0, uint32_t maxObjectEntryCounts_=0, uint32_t minSequenceCountBufferOffsetAlignment_=0, uint32_t minSequenceIndexBufferOffsetAlignment_=0, uint32_t minCommandsTokenBufferOffsetAlignment_=0)
| DeviceGeneratedCommandsLimitsNVX (VkDeviceGeneratedCommandsLimitsNVX const &rhs)
DeviceGeneratedCommandsLimitsNVX & | operator= (VkDeviceGeneratedCommandsLimitsNVX const &rhs)
DeviceGeneratedCommandsLimitsNVX & | setPNext (const void *pNext_)
DeviceGeneratedCommandsLimitsNVX & | setMaxIndirectCommandsLayoutTokenCount (uint32_t maxIndirectCommandsLayoutTokenCount_)
DeviceGeneratedCommandsLimitsNVX & | setMaxObjectEntryCounts (uint32_t maxObjectEntryCounts_)
DeviceGeneratedCommandsLimitsNVX & | setMinSequenceCountBufferOffsetAlignment (uint32_t minSequenceCountBufferOffsetAlignment_)
DeviceGeneratedCommandsLimitsNVX & | setMinSequenceIndexBufferOffsetAlignment (uint32_t minSequenceIndexBufferOffsetAlignment_)
DeviceGeneratedCommandsLimitsNVX & | setMinCommandsTokenBufferOffsetAlignment (uint32_t minCommandsTokenBufferOffsetAlignment_)
| operator VkDeviceGeneratedCommandsLimitsNVX const & () const
| operator VkDeviceGeneratedCommandsLimitsNVX & ()
bool | operator== (DeviceGeneratedCommandsLimitsNVX const &rhs) const
bool | operator!= (DeviceGeneratedCommandsLimitsNVX const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | maxIndirectCommandsLayoutTokenCount
uint32_t | maxObjectEntryCounts
uint32_t | minSequenceCountBufferOffsetAlignment
uint32_t | minSequenceIndexBufferOffsetAlignment
uint32_t | minCommandsTokenBufferOffsetAlignment

## Private Attributes

StructureType | sType = StructureType::eDeviceGeneratedCommandsLimitsNVX

## Detailed Description

Definition at line 12948 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceGeneratedCommandsLimitsNVX() [1/2]

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::DeviceGeneratedCommandsLimitsNVX | ( | uint32_t | maxIndirectCommandsLayoutTokenCount_ = `0`,
|  | uint32_t | maxObjectEntryCounts_ = `0`,
|  | uint32_t | minSequenceCountBufferOffsetAlignment_ = `0`,
|  | uint32_t | minSequenceIndexBufferOffsetAlignment_ = `0`,
|  | uint32_t | minCommandsTokenBufferOffsetAlignment_ = `0`
| ) |  |

inline

Definition at line 12950 of file vulkan.hpp.

: maxIndirectCommandsLayoutTokenCount( maxIndirectCommandsLayoutTokenCount_ )
, maxObjectEntryCounts( maxObjectEntryCounts_ )
, minSequenceCountBufferOffsetAlignment( minSequenceCountBufferOffsetAlignment_ )
, minSequenceIndexBufferOffsetAlignment( minSequenceIndexBufferOffsetAlignment_ )
, minCommandsTokenBufferOffsetAlignment( minCommandsTokenBufferOffsetAlignment_ )
{
}

## DeviceGeneratedCommandsLimitsNVX() [2/2]

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::DeviceGeneratedCommandsLimitsNVX | ( | VkDeviceGeneratedCommandsLimitsNVX const & | rhs | ) |

inline

Definition at line 12963 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGeneratedCommandsLimitsNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceGeneratedCommandsLimitsNVX &()

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::operator VkDeviceGeneratedCommandsLimitsNVX & | ( |  | ) |

inline

Definition at line 13014 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceGeneratedCommandsLimitsNVX*>(this);
}

## operator VkDeviceGeneratedCommandsLimitsNVX const &()

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::operator VkDeviceGeneratedCommandsLimitsNVX const & | ( |  | ) | const

inline

Definition at line 13009 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceGeneratedCommandsLimitsNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::operator!= | ( | DeviceGeneratedCommandsLimitsNVX const & | rhs | ) | const

inline

Definition at line 13030 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceGeneratedCommandsLimitsNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::operator= | ( | VkDeviceGeneratedCommandsLimitsNVX const & | rhs | ) |

inline

Definition at line 12968 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGeneratedCommandsLimitsNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::operator== | ( | DeviceGeneratedCommandsLimitsNVX const & | rhs | ) | const

inline

Definition at line 13019 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxIndirectCommandsLayoutTokenCount == rhs.maxIndirectCommandsLayoutTokenCount )
&& ( maxObjectEntryCounts == rhs.maxObjectEntryCounts )
&& ( minSequenceCountBufferOffsetAlignment == rhs.minSequenceCountBufferOffsetAlignment )
&& ( minSequenceIndexBufferOffsetAlignment == rhs.minSequenceIndexBufferOffsetAlignment )
&& ( minCommandsTokenBufferOffsetAlignment == rhs.minCommandsTokenBufferOffsetAlignment );
}

References maxIndirectCommandsLayoutTokenCount, maxObjectEntryCounts, minCommandsTokenBufferOffsetAlignment, minSequenceCountBufferOffsetAlignment, minSequenceIndexBufferOffsetAlignment, pNext, and sType.

Referenced by operator!=().

## setMaxIndirectCommandsLayoutTokenCount()

DeviceGeneratedCommandsLimitsNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::setMaxIndirectCommandsLayoutTokenCount | ( | uint32_t | maxIndirectCommandsLayoutTokenCount_ | ) |

inline

Definition at line 12979 of file vulkan.hpp.

{
maxIndirectCommandsLayoutTokenCount = maxIndirectCommandsLayoutTokenCount_;
return *this;
}

References maxIndirectCommandsLayoutTokenCount.

## setMaxObjectEntryCounts()

DeviceGeneratedCommandsLimitsNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::setMaxObjectEntryCounts | ( | uint32_t | maxObjectEntryCounts_ | ) |

inline

Definition at line 12985 of file vulkan.hpp.

{
maxObjectEntryCounts = maxObjectEntryCounts_;
return *this;
}

References maxObjectEntryCounts.

## setMinCommandsTokenBufferOffsetAlignment()

DeviceGeneratedCommandsLimitsNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::setMinCommandsTokenBufferOffsetAlignment | ( | uint32_t | minCommandsTokenBufferOffsetAlignment_ | ) |

inline

Definition at line 13003 of file vulkan.hpp.

{
minCommandsTokenBufferOffsetAlignment = minCommandsTokenBufferOffsetAlignment_;
return *this;
}

References minCommandsTokenBufferOffsetAlignment.

## setMinSequenceCountBufferOffsetAlignment()

DeviceGeneratedCommandsLimitsNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::setMinSequenceCountBufferOffsetAlignment | ( | uint32_t | minSequenceCountBufferOffsetAlignment_ | ) |

inline

Definition at line 12991 of file vulkan.hpp.

{
minSequenceCountBufferOffsetAlignment = minSequenceCountBufferOffsetAlignment_;
return *this;
}

References minSequenceCountBufferOffsetAlignment.

## setMinSequenceIndexBufferOffsetAlignment()

DeviceGeneratedCommandsLimitsNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::setMinSequenceIndexBufferOffsetAlignment | ( | uint32_t | minSequenceIndexBufferOffsetAlignment_ | ) |

inline

Definition at line 12997 of file vulkan.hpp.

{
minSequenceIndexBufferOffsetAlignment = minSequenceIndexBufferOffsetAlignment_;
return *this;
}

References minSequenceIndexBufferOffsetAlignment.

## setPNext()

DeviceGeneratedCommandsLimitsNVX& VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 12973 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## maxIndirectCommandsLayoutTokenCount

uint32_t VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::maxIndirectCommandsLayoutTokenCount

Definition at line 13040 of file vulkan.hpp.

Referenced by operator==(), and setMaxIndirectCommandsLayoutTokenCount().

## maxObjectEntryCounts

uint32_t VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::maxObjectEntryCounts

Definition at line 13041 of file vulkan.hpp.

Referenced by operator==(), and setMaxObjectEntryCounts().

## minCommandsTokenBufferOffsetAlignment

uint32_t VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::minCommandsTokenBufferOffsetAlignment

Definition at line 13044 of file vulkan.hpp.

Referenced by operator==(), and setMinCommandsTokenBufferOffsetAlignment().

## minSequenceCountBufferOffsetAlignment

uint32_t VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::minSequenceCountBufferOffsetAlignment

Definition at line 13042 of file vulkan.hpp.

Referenced by operator==(), and setMinSequenceCountBufferOffsetAlignment().

## minSequenceIndexBufferOffsetAlignment

uint32_t VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::minSequenceIndexBufferOffsetAlignment

Definition at line 13043 of file vulkan.hpp.

Referenced by operator==(), and setMinSequenceIndexBufferOffsetAlignment().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::pNext = nullptr

Definition at line 13039 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::sType = StructureType::eDeviceGeneratedCommandsLimitsNVX

private

Definition at line 13036 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::minCommandsTokenBufferOffsetAlignment
uint32_t minCommandsTokenBufferOffsetAlignment
Definition: vulkan.hpp:13044
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::operator==
bool operator==(DeviceGeneratedCommandsLimitsNVX const &rhs) const
Definition: vulkan.hpp:13019
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::pNext
const void * pNext
Definition: vulkan.hpp:13039
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::DeviceGeneratedCommandsLimitsNVX
DeviceGeneratedCommandsLimitsNVX(uint32_t maxIndirectCommandsLayoutTokenCount_=0, uint32_t maxObjectEntryCounts_=0, uint32_t minSequenceCountBufferOffsetAlignment_=0, uint32_t minSequenceIndexBufferOffsetAlignment_=0, uint32_t minCommandsTokenBufferOffsetAlignment_=0)
Definition: vulkan.hpp:12950
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::sType
StructureType sType
Definition: vulkan.hpp:13036
VkDeviceGeneratedCommandsLimitsNVX
Definition: vulkan_core.h:6814
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::minSequenceCountBufferOffsetAlignment
uint32_t minSequenceCountBufferOffsetAlignment
Definition: vulkan.hpp:13042
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::maxObjectEntryCounts
uint32_t maxObjectEntryCounts
Definition: vulkan.hpp:13041
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::minSequenceIndexBufferOffsetAlignment
uint32_t minSequenceIndexBufferOffsetAlignment
Definition: vulkan.hpp:13043
VULKAN_HPP_NAMESPACE::DeviceGeneratedCommandsLimitsNVX::maxIndirectCommandsLayoutTokenCount
uint32_t maxIndirectCommandsLayoutTokenCount
Definition: vulkan.hpp:13040